package solutions.bitbadger.documents.sqlite

import java.sql.Connection
import java.sql.DriverManager

/**
 * Configuration for SQLite
 */
object Configuration {

    /** The connection string for the SQLite database */
    var connectionString: String? = null

    /**
     * Retrieve a new connection to the SQLite database
     *
     * @return A new connection to the SQLite database
     * @throws IllegalArgumentException If the connection string is not set before calling this
     */
    fun dbConn(): Connection {
        if (connectionString == null) {
            throw IllegalArgumentException("Please provide a connection string before attempting data access")
        }
        return DriverManager.getConnection(connectionString)
    }
}
